Bug 15666 - "client use kerberos" and --use-kerberos is ignored for the machine account
Summary: "client use kerberos" and --use-kerberos is ignored for the machine account
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.20.1
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL: https://gitlab.com/samba-team/samba/-...
Keywords:
Depends on:
Blocks:
 
Reported: 2024-06-18 16:43 UTC by Stefan Metzmacher
Modified: 2024-07-03 10:08 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-20-test (19.06 KB, text/plain)
2024-06-19 10:23 UTC, Stefan Metzmacher
asn: review+
metze: review? (slow)
Details
Patches for v4-19-test (19.06 KB, text/plain)
2024-06-19 10:25 UTC, Stefan Metzmacher
asn: review+
metze: review? (slow)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2024-06-18 16:43:45 UTC
Using "-P --use-kerberos=required" or "-P --use-kerberos=off" is ignored

The same applies to any "client use kerberos" setting.
Comment 1 Samba QA Contact 2024-06-19 10:18:04 UTC
This bug was referenced in samba master:

cda8beea45303a77080c64bb2391d22c59672deb
db2c576f329675e8d66e19c336fe04ccba918b4a
c715ac5e496ddde119212d3b880ff0e68c2da67b
eeb60574b6bf1a5209b85a8af843b93300550ba7
5b40cdf6e8885c9db6c5ffa972112f3516e4130a
Comment 2 Stefan Metzmacher 2024-06-19 10:23:21 UTC
Created attachment 18347 [details]
Patches for v4-20-test
Comment 3 Stefan Metzmacher 2024-06-19 10:25:05 UTC
Created attachment 18348 [details]
Patches for v4-19-test
Comment 4 Jule Anger 2024-06-19 12:12:30 UTC
Pushed to autobuild-v4-{20,19}-test.
Comment 5 Samba QA Contact 2024-06-19 14:08:21 UTC
This bug was referenced in samba v4-20-test:

694605f52a45ae31e2607895fff2ae60f9f64595
cccd9c95c8bbbde16f3251081ea2c3a1fc3b2ac3
46ebf66fe965ba361325877364b65c69b781484a
212b014679f17808c20015ee6852ffbd5f4b847f
fc318c63e5556e940ee846e63ebbc1ca5a39c945
Comment 6 Samba QA Contact 2024-06-19 14:35:03 UTC
This bug was referenced in samba v4-20-stable (Release samba-4.20.2):

694605f52a45ae31e2607895fff2ae60f9f64595
cccd9c95c8bbbde16f3251081ea2c3a1fc3b2ac3
46ebf66fe965ba361325877364b65c69b781484a
212b014679f17808c20015ee6852ffbd5f4b847f
fc318c63e5556e940ee846e63ebbc1ca5a39c945
Comment 7 Samba QA Contact 2024-07-03 09:58:12 UTC
This bug was referenced in samba v4-19-test:

bfe5ad43a57101ff0cbd7a5a38bb885fffe0be9b
b79e3492f809af3b50b57f3e85089fed2c8c4ae9
20fcb8f8bced6d8cad7dd371d212a5b29eb88866
b3519d06b639118192aeeefec30dc972ed16b08b
bb5414a60880a923100584d6c34da23e9b52cfc5
Comment 8 Jule Anger 2024-07-03 10:08:46 UTC
Closing out bug report.

Thanks!